TRANS_LAYER = 12
MAIN_LAYER = 10

reg_fliplist = ['reg_ollie', 'reg_nollie', 'reg_nollie', 'reg_kickflip', 'reg_varial_kickflip', 'reg_nollie_varial_kickflip', 'reg_nollie_varial_heelflip', 'fak_nollie_varial_heelflip', 'reg_varial_heelflip', 'reg_nollie_kickflip',  'reg_heelflip', 'reg_nollie_heelflip', 'reg_shuvit', 'reg_shuvit360', 'reg_fsshuvit360', 'reg_nollie_shuvit', 'fak_nollie_shuvit', 'reg_fsshuvit', 'fak_fsshuvit',  'reg_nollie_fsshuvit', 'reg_nollie_shuvit360', 'reg_nollie_fsshuvit', 'reg_brfoot', 'reg_frfoot', 'reg_blfoot', 'reg_flfoot', 'reg_inward_heelflip', 'reg_hardflip', 'reg_nollie_inward_heelflip', 'reg_nollie_hardflip', 'reg_offboard', 'reg_nollie_fsshuvit_360'] 
fak_fliplist = ['fak_ollie', 'fak_nollie', 'fak_nollie', 'fak_kickflip', 'fak_varial_kickflip', 'fak_nollie_varial_kickflip', 'fak_nollie_varial_heelflip', 'fak_nollie_varial_heelflip', 'fak_varial_heelflip', 'fak_nollie_kickflip',  'fak_heelflip','fak_nollie_heelflip', 'fak_shuvit', 'fak_shuvit360', 'fak_fsshuvit360', 'fak_nollie_shuvit', 'fak_nollie_shuvit', 'fak_fsshuvit', 'fak_fsshuvit',  'fak_nollie_fsshuvit', 'fak_nollie_shuvit360', 'fak_nollie_fsshuvit', 'fak_brfoot', 'fak_frfoot', 'fak_blfoot', 'fak_flfoot', 'fak_inward_heelflip', 'fak_hardflip', 'fak_nollie_inward_heelflip', 'fak_nollie_hardflip', 'fak_offboard', 'fak_nollie_fsshuvit_360']     


class a_class:
	def __init__(self, name, start, end, dname, dstart, dend, layer, speed, mode, blendin, exits, fe, fef):
		self.name = name
		self.start = start
		self.end = end
		self.dname = dname
		self.dstart = dstart
		self.dend = dend
		self.layer = layer
		self.speed = speed
		self.mode = mode
		self.blendin = blendin
		self.exits = exits
		self.force_exit = fe
		self.fef = fef

reg_walk = a_class(
	#player armature action name
	'reg_nwalk', 
	#start frame
	0,           
	#end frame
	35,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	0, 
	#deck end frame
	35,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	20,
	#exits
	['reg_walkFast', 'reg_idle', 'reg_jump', 'reg_onboard', 'reg_idle2', 'reg_idle3', 'reg_idle4', 'reg_walk_air', 'reg_walk_air_out'],
	#force exit
	None,
	#force exit frame
	0)
reg_walkFast = a_class(
	#player armature action name
	'reg_nwalk', 
	#start frame
	0,           
	#end frame
	35,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	0, 
	#deck end frame
	35,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	0, 
	#exits
	['reg_walk', 'reg_idle', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)



reg_idle = a_class(
	#player armature action name
	'reg_idle1', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	20,
	#exits
	['reg_walk', 'reg_idle2', 'reg_idle3', 'reg_idle4', 'reg_idle5', 'reg_jump', 'reg_sit', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_idle2 = a_class(
	#player armature action name
	'reg_idle2', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#exits
	['reg_walk', 'reg_idle', 'reg_idle3', 'reg_idle4', 'reg_idle5', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_idle3 = a_class(
	#player armature action name
	'reg_idle3', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#exits
	['reg_walk', 'reg_idle2', 'reg_idle', 'reg_idle4', 'reg_idle5', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_idle4 = a_class(
	#player armature action name
	'reg_idle4', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#exits
	['reg_walk', 'reg_idle2', 'reg_idle3', 'reg_idle', 'reg_idle5', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_idle5 = a_class(
	#player armature action name
	'reg_idle5', 
	#start frame
	1,           
	#end frame
	120,
	#deck action name 
	'b_reg_walk', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#exits
	['reg_walk', 'reg_idle2', 'reg_idle3', 'reg_idle4', 'reg_idle', 'reg_jump', 'reg_onboard'],
	#force exit
	None,
	#force exit frame
	0)

reg_jump = a_class(
	#player armature action name
	'reg_jump', 
	#start frame
	1,           
	#end frame
	10,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	1, 
	#deck end frame
	10,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#exits
	['reg_idle', 'reg_walk_air', 'reg_onboard'],
	#force exit
	'reg_walk_air',
	#force exit frame
	20)

reg_walk_air = a_class(
	#player armature action name
	'reg_walk_air', 
	#start frame
	10,           
	#end frame
	10,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	10, 
	#deck end frame
	10,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	5,
	#exits
	['reg_walk_air_out'],
	#force exit
	None,
	#force exit frame
	0)

reg_walk_air_out = a_class(
	#player armature action name
	'reg_walk_air', 
	#start frame
	10,           
	#end frame
	40,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	10, 
	#deck end frame
	10,
	#layer
	1,
	#speed
	1.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	5,
	#exits
	['reg_idle', 'reg_walk', 'reg_walkFast', 'reg_onboard'],
	#force exit
	'reg_idle',
	#force exit frame
	10)

reg_sit_in = a_class(
	#player armature action name
	'reg_sit', 
	#start frame
	1,           
	#end frame
	65,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	1, 
	#deck end frame
	65,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#exits
	['reg_idle', 'reg_walk'],
	#force exit
	None,
	#force exit frame
	0)

reg_sit = a_class(
	#player armature action name
	'reg_sit', 
	#start frame
	65,           
	#end frame
	65,
	#deck action name 
	'b_reg_jump', 
	#deck start frame
	65, 
	#deck end frame
	65,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#exits
	['reg_idle', 'reg_walk'],
	#force exit
	None,
	#force exit frame
	0)

#------news

reg_onboard = a_class(
	#player armature action name
	'reg_noffboard', 
	#start frame
	20,           
	#end frame
	1,
	#deck action name 
	'b_reg_offboard', 
	#deck start frame
	20, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#exits
	['reg_roll'],
	#force exit
	None,
	#force exit frame
	0)

reg_offboard = a_class(
	#player armature action name
	'reg_noffboard', 
	#start frame
	1,           
	#end frame
	40,
	#deck action name 
	'b_reg_offboard', 
	#deck start frame
	1, 
	#deck end frame
	40,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	5,
	#exits
	['reg_idle', 'reg_walkFast', 'reg_walk'],
	#force exit
	None,
	#force exit frame
	0)

reg_roll = a_class(
	#player armature action name
	'nreg', 
	#start frame
	1,           
	#end frame
	60,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	60,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#exits
	['reg_idle', 'reg_offboard', 'reg_turnLeft', 'reg_turnRight', 'reg_opos', 'reg_nopos', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)

reg_turnLeft = a_class(
	#player armature action name
	'nreg_left', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg_left', 
	#deck start frame
	10, 
	#deck end frame
	30,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#exits
	['reg_roll', 'reg_opos', 'reg_nopos', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)

reg_turnRight = a_class(
	#player armature action name
	'nreg_right', 
	#start frame
	10,           
	#end frame
	30,
	#deck action name 
	'b_reg_right', 
	#deck start frame
	10, 
	#deck end frame
	30,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	20,
	#exits
	['reg_roll', 'reg_opos', 'reg_nopos', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)


reg_opos = a_class(
	#player armature action name
	'nopos', 
	#start frame
	11,           
	#end frame
	40,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)

reg_nopos = a_class(
	#player armature action name
	'nnopos', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_pump', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)

reg_pump = a_class(
	#player armature action name
	'nopos', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	15,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)

reg_push = a_class(
	#player armature action name
	'reg_push', 
	#start frame
	1,           
	#end frame
	35,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)

reg_push_goof = a_class(
	#player armature action name
	'reg_push_goof', 
	#start frame
	1,           
	#end frame
	35,
	#deck action name 
	'b_reg', 
	#deck start frame
	1, 
	#deck end frame
	1,
	#layer
	1,
	#speed
	.5,
	#mode (1 = play, 0 = loop)
	0,
	#blendin
	10,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_powerslide', 'reg_fs_powerslide', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)


reg_powerslide_in = a_class(
	#player armature action name
	'nreg_powerslide2', 
	#start frame
	0,           
	#end frame
	20,
	#deck action name 
	'b_reg_powerslide2', 
	#deck start frame
	0, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)

reg_fs_powerslide_in = a_class(
	#player armature action name
	'nreg_powerslide', 
	#start frame
	0,           
	#end frame
	20,
	#deck action name 
	'b_reg_powerslide', 
	#deck start frame
	0, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)

reg_powerslide = a_class(
	#player armature action name
	'nreg_powerslide2', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg_powerslide2', 
	#deck start frame
	20, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)

reg_fs_powerslide = a_class(
	#player armature action name
	'nreg_powerslide', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg_powerslide', 
	#deck start frame
	20, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos', 'reg_manual', 'reg_nmanual'],
	#force exit
	None,
	#force exit frame
	0)


reg_manual = a_class(
	#player armature action name
	'reg_manual', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_reg_manual', 
	#deck start frame
	20, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos'],
	#force exit
	None,
	#force exit frame
	0)


reg_nmanual = a_class(
	#player armature action name
	'reg_nmanual', 
	#start frame
	20,           
	#end frame
	20,
	#deck action name 
	'b_fak_manual', 
	#deck start frame
	20, 
	#deck end frame
	20,
	#layer
	1,
	#speed
	1,
	#mode (1 = play, 0 = loop)
	1,
	#blendin
	10,
	#exits
	['reg_roll', 'reg_turnRight', 'reg_turnLeft', 'reg_push', 'reg_push_goof', 'reg_pump', 'reg_nopos', 'reg_opos'],
	#force exit
	None,
	#force exit frame
	0)


#******************(((((((((((((((((())))))))))))))))))*************
