import bge
import actionsFSMlist

dict = bge.logic.globalDict


def actionPlayer(ac):
	scene = bge.logic.getCurrentScene()
	skater = dict['p1']
	deck = dict['p1d']
	a = getattr(actionsFSMlist.reg_walk, 'name')
	name = getattr(ac, 'name')
	dname = getattr(ac, 'dname')
	start = getattr(ac, 'start')
	end = getattr(ac, 'end')
	dstart = getattr(ac, 'dstart')
	dend = getattr(ac, 'dend')
	layer = getattr(ac, 'layer')
	mode = getattr(ac, 'mode')
	speed = getattr(ac, 'speed')
	blendin = getattr(ac, 'blendin')
	#--------------------------------
	skater.playAction(name, start,end, layer=layer, play_mode=mode, speed=speed, blendin=blendin)
	deck.playAction(dname, dstart,dend, layer=layer, play_mode=mode, speed=speed, blendin=blendin)
	#print('playing', name)

def get_frame(ac):
	skater = dict['p1']
	layer = getattr(ac, 'layer')
	print('getting frame', skater.getActionFrame(layer))
	return skater.getActionFrame(layer)

def set_frame(ac, frame):
	skater = dict['p1']
	deck = dict['p1d']
	layer = getattr(ac, 'layer')
	skater.setActionFrame(frame, layer)
	deck.setActionFrame(frame, layer)
	print('setting frame', frame)

def check_exit(aState, rA, timer, ac):
	exits = getattr(ac, 'exits')
	force = getattr(ac, 'force_exit')
	fe = getattr(ac, 'fef')
	if rA in exits:
		return rA
	else:
		return aState

	if force != None and fe >= timer:
		return force
			

	


def state_timer(own):
	if own['aState'] == own['l_aState']:
		own['stateTimer'] += 1
	else:
		own['stateTimer'] = 0

def main(cont):
	own = cont.owner
	dict = bge.logic.globalDict

	#initial state
	if 'aState' not in own:
		own['aState'] = 'reg_idle'
		own['l_aState'] = None
		own['stateTimer'] = 0


	og_state = own['aState']
	aState = own['aState']
	rA = own['requestAction']
	timer = own['stateTimer']
	newState = own['aState']
	
	#-----------------------
	check_state = 'reg_idle'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)

	check_state = 'reg_idle2'	
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)

	check_state = 'reg_idle3'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)
	
	check_state = 'reg_idle4'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)

	check_state = 'reg_idle5'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)
	
	check_state = 'reg_jump'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		if own['stateTimer'] > getattr(cl, 'fef'):
			nl = getattr(cl, 'force_exit')
			na = getattr(actionsFSMlist, nl)

			newState = check_exit(aState, rA, timer, cl)
	
	check_state = 'reg_walk_air'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		if aState != rA:
			newState = 'reg_walk_air_out'
	
	check_state = 'reg_walk_air_out' 			
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		print(own['stateTimer'], getattr(cl, 'fef'))
		if own['stateTimer'] > getattr(cl, 'fef'):	
			#newState = check_exit(aState, rA, timer, actionsFSMlist.reg_idle)
			newState = getattr(cl, 'force_exit')

	check_state = 'reg_sit'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < 19:
			actionPlayer(actionsFSMlist.reg_sit_in)
		else:
			actionPlayer(cl)
		newState = check_exit(aState, rA, timer, actionsFSMlist.reg_sit)

	#-----------------------
	check_state = 'reg_walk'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		if own['l_aState'] == 'reg_walkFast':
			print('--------------------doing last frame')
			frame = get_frame(actionsFSMlist.reg_walkFast)
			actionPlayer(cl)
			set_frame(actionsFSMlist.reg_walk, frame)
		else:	
			frame = actionPlayer(cl)
		
		newState = check_exit(aState, rA, timer, cl)

	#-----------------------
	check_state = 'reg_walkFast'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		newState = check_exit(aState, rA, timer, actionsFSMlist.reg_walkFast)

		if own['l_aState'] == 'reg_walk':
			print('--------------------doing last framebbbb')
			frame = get_frame(actionsFSMlist.reg_walk)
			actionPlayer(cl)
			set_frame(actionsFSMlist.reg_walkFast, frame)

		else:
			actionPlayer(cl)
		#print(frame)


	check_state = 'reg_onboard'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		if own['stateTimer'] > 10:
			newState = check_exit(aState, rA, timer, actionsFSMlist.reg_onboard)

	check_state = 'reg_offboard'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		if own['stateTimer'] > 20:
			newState = check_exit(aState, rA, timer, actionsFSMlist.reg_offboard)			

	check_state = 'reg_roll'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)

	check_state = 'reg_turnLeft'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)
	
	check_state = 'reg_turnRight'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)

	check_state = 'reg_opos'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)		
	
	check_state = 'reg_nopos'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)		

	check_state = 'reg_pump'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)		

	check_state = 'reg_push'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		if own['stateTimer'] > 70:
			newState = 'reg_roll'

	check_state = 'reg_push_goof'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		if own['stateTimer'] > 70:
			newState = 'reg_roll'			
	
	check_state = 'reg_powerslide'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < 20:
			actionPlayer(actionsFSMlist.reg_powerslide_in)
		else:
			actionPlayer(cl)
		

		newState = check_exit(aState, rA, timer, actionsFSMlist.reg_powerslide)

	check_state = 'reg_fs_powerslide'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		if own['stateTimer'] < 20:
			actionPlayer(actionsFSMlist.reg_fs_powerslide_in)
		else:
			actionPlayer(cl)
		newState = check_exit(aState, rA, timer, actionsFSMlist.reg_fs_powerslide)				

	check_state = 'reg_manual'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)

	check_state = 'reg_nmanual'
	if aState == check_state:
		cl = getattr(actionsFSMlist, check_state)
		actionPlayer(cl)
		newState = check_exit(aState, rA, timer, cl)

























	#-----------------------
	#own['aState'] = aState
	if newState != '':
		own['aState'] = newState 
	#print(own['l_aState'], '----l_aState', own['aState'])
	own['l_aState'] = og_state
	print(own['l_aState'], '----l_aState', own['aState'], 'rA', rA)
	state_timer(own)
